using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GridCellBug
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Text", typeof(String));
            dt.Columns.Add("Image", typeof(Image));

            DataRow r;
            for (int i = 0; i < 50; i++)
            {
                r = dt.NewRow();
                r["Text"] = i.ToString();

                if (i % 5 == 0)
                {
                    r["Image"] = global::GridCellBug.Properties.Resources.Walk;
                }
                dt.Rows.Add(r);
            }

            dt.AcceptChanges();

            ultraGrid1.DataSource = dt;
        }
    }
}